## python-geotiepoints 1.1.8

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-geotiepoints.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-geotiepoints.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-geotiepoints"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-geotiepoints"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-geotiepoints 1.1.7

=== debian/changelog ===
python-geotiepoints (1.1.7-1) unstable; urgency=medium

  * Initial version (Closes: #917149)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Dec 2018 16:57:54 +0000

=== debian/control ===
Source: python-geotiepoints
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               cython3,
               python3-all-dev,
               python3-dask,
               python3-h5py,
               python3-numpy,
               python3-pandas,
               python3-scipy,
               python3-setuptools,
               python3-xarray
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
Homepage: https://github.com/pytroll/python-geotiepoints

Package: python3-geotiepoints
Architecture: any
Depends: python3-dask,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         python3-xarray,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-h5py,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Interpolation of geographic tiepoints in Python
 Python-geotiepoints is a Python module that interpolates (and extrapolates
 if needed) geographical tiepoints into a larger geographical grid.
 This is useful when the full resolution lon/lat grid is needed while only
 a lower resolution grid of tiepoints was provided.
 .
 Some helper functions are provided to accommodate for satellite data, but
 the package should be generic enough to be used for any kind of data.
 .
 In addition python-geotiepoints provides a fast multilinear interpolation
 of regular gridded data using Cython.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=geotiepoints


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) geotiepoints/multilinear*.so

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://pypi.debian.net/python-geotiepoints/ \
python-geotiepoints-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geotiepoints 1.1.8

=== debian/changelog ===
python-geotiepoints (1.1.8-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:01 +0100

python-geotiepoints (1.1.8-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Use debhelper-compat instead of debian/compat.
  * Set compat to 12.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2019 17:21:12 +0000

python-geotiepoints (1.1.8-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/watch:
    - use github instead of pypi to download the upstream source tarball
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Jul 2019 06:24:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
                python3-all-dev,
@@ -14,7 +14,7 @@
                python3-scipy,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/tests/control ===
Tests: python3

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|python-geotiepoints)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-geotiepoints-$1.$2/ \
https://github.com/pytroll/python-geotiepoints/releases \
(?:.*?/archive/)?(?:rel|v|python-geotiepoints)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geotiepoints 1.2.0

=== debian/changelog ===
python-geotiepoints (1.2.0-3) unstable; urgency=medium

  * Force cython to re-generate geotiepoints/multilinear_cython.c
    (Closes: #972024).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Oct 2020 05:54:19 +0000

python-geotiepoints (1.2.0-2) unstable; urgency=medium

  * Add missing dependencies to debian/tests/control (Closes: 962805).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jun 2020 15:30:49 +0000

python-geotiepoints (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * debian/control:
    - explicitly set Rules-Requires-Root: no
  * Update debian/copyright.
  * debian/patches:
    - refresh all patches
    - improve 0002-Fix-tests.patch
  * debian/rules:
    - improve clean target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Jun 2020 06:43:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
@@ -14,7 +15,7 @@
                python3-scipy,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export USE_CYTHON=TRUE
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=geotiepoints


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	if [ -f geotiepoints/multilinear_cython.c ] && [ ! -f geotiepoints/multilinear_cython.c.orig ]; then \
	    mv geotiepoints/multilinear_cython.c geotiepoints/multilinear_cython.c.orig; \
	fi
	$(RM) geotiepoints/multilinear_cython.c
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	$(RM) geotiepoints/multilinear*.so
	$(RM) -r python_geotiepoints.egg-info
	if [ -f geotiepoints/multilinear_cython.c.orig ]; then \
	    $(RM) geotiepoints/multilinear_cython.c; \
	    mv geotiepoints/multilinear_cython.c.orig geotiepoints/multilinear_cython.c; \
	fi

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/tests/control ===
Tests: python3
Depends: @, python3-h5py

## python-geotiepoints 1.4.0

=== debian/changelog ===
python-geotiepoints (1.4.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:27:21 +0000

python-geotiepoints (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Feb 2022 06:49:03 +0000

python-geotiepoints (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Feb 2022 07:57:46 +0000

python-geotiepoints (1.3.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - update 0001-Fix-tests.patch and rename it into
      0001-Skip-tests-using-external-data.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Sep 2021 08:58:56 +0000

python-geotiepoints (1.2.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright file.
  * debian/control:
    - build-depend on pytest
  * debian/patches:
    - drop 0001-Remove-dependency-form-unittest2.patch, applied upstream
    - refresh and renumber remaining patches
  * Update rules file.
  * Improve autopkgtests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 16:55:15 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                python3-h5py,
                python3-numpy,
                python3-pandas,
+               python3-pytest,
                python3-scipy,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export USE_CYTHON=TRUE
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=geotiepoints


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) geotiepoints/multilinear*.so
	$(RM) -r python_geotiepoints.egg-info
	$(RM) geotiepoints/multilinear_cython.c

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/tests/control ===
Tests: python3
Depends: @, python3-h5py, python3-pytest

## python-geotiepoints 1.4.1

=== debian/changelog ===
python-geotiepoints (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Update build dependencies.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Jun 2022 10:35:48 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-h5py,
                python3-numpy,
                python3-pandas,
+               python3-pyproj,
                python3-pytest,
                python3-scipy,
                python3-setuptools,

=== debian/tests/control ===
Tests: python3
Depends: @, python3-h5py, python3-pytest, python3-pyproj

## python-geotiepoints 1.5.1

=== debian/changelog ===
python-geotiepoints (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 09 Dec 2022 15:50:07 +0000

python-geotiepoints (1.5.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Correct version.py license.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Oct 2022 06:24:33 +0000

python-geotiepoints (1.5.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Correct versioneer.py license.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Oct 2022 06:12:34 +0000

python-geotiepoints (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - remove debug statement.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 27 Oct 2022 06:41:32 +0000

python-geotiepoints (1.4.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add test-dependency on python3-all in d/tests/control.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * debian/rules:
    - add the pkg root directory to the PYTHONPATH.
  * debian/patches:
    - new 0002-Remove-versineer-from-pyproject-requires.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 17:15:28 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-dask,
                python3-h5py,
@@ -17,7 +18,7 @@
                python3-scipy,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,13 @@
 export USE_CYTHON=TRUE
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=geotiepoints
-
+export PYTHONPATH=$(CURDIR)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_build:
+	dh_auto_build
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-h5py, python3-pytest, python3-pyproj

## python-geotiepoints 1.6.0

=== debian/changelog ===
python-geotiepoints (1.6.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
    (closes: #1046965)

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> marker.
    - Add dependency on python3-versioneer.
  * Switch to autopkgtest-pkg-pybuild and remove the no longer
    necessary d/tests folder.
  * Drop d/source/options, no longer needed.
  * New d/python3-geotiepoints.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 13:32:25 +0000

python-geotiepoints (1.6.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - refresh all patches
    - new 0003-Fix-tests-on-i386-arch.patch.
  * Build-depend on pyresample.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 13 Jun 2023 06:30:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
                pybuild-plugin-pyproject,
@@ -14,11 +15,13 @@
                python3-numpy,
                python3-pandas,
                python3-pyproj,
-               python3-pytest,
+               python3-pyresample,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-versioneer,
                python3-xarray
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints
@@ -26,16 +29,13 @@
 Package: python3-geotiepoints
 Architecture: any
 Depends: python3-dask,
-         python3-numpy,
          python3-pandas,
          python3-scipy,
          python3-xarray,
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: python3-h5py,
-            ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Recommends: python3-h5py
 Description: Interpolation of geographic tiepoints in Python
  Python-geotiepoints is a Python module that interpolates (and extrapolates
  if needed) geographical tiepoints into a larger geographical grid.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export USE_CYTHON=TRUE
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=geotiepoints
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

## python-geotiepoints 1.7.2

=== debian/changelog ===
python-geotiepoints (1.7.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:16:52 +1100

python-geotiepoints (1.7.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 29 Mar 2024 13:37:45 +0000

python-geotiepoints (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 16:02:23 +0000

python-geotiepoints (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 28 Dec 2023 09:51:15 +0000

python-geotiepoints (1.7.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - Drop 0002-Fix-tests-on-i386-arch.patch, applied upstream.
    - Refresh remaining patches.
  * debian/control:
    - Build-depend on cython3 >= 3.0.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Dec 2023 07:51:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-geotiepoints
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
@@ -7,7 +8,9 @@
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               cython3,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               cython3 (>= 3.0),
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-dask,

## python-geotiepoints 1.7.4

=== debian/changelog ===
python-geotiepoints (1.7.4-2) unstable; urgency=medium

  * debian/patches:
    - Update 0002-Compatibility-with-numpy-2.patch to ensure
      compatibility with scipy 1.13.x (Closes: #1075930).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2024 11:36:15 +0000

python-geotiepoints (1.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 09:16:55 +0000

python-geotiepoints (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0002-Compatibility-with-numpy-2.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Apr 2024 07:05:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-geotiepoints
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional

## python-geotiepoints 1.7.5

=== debian/changelog ===
python-geotiepoints (1.7.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 13 Oct 2024 07:38:54 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-geotiepoints 1.8.0

=== requirements.txt ===
numpy>=1.5.1
scipy>=0.14
pandas
Cython

=== debian/changelog ===
python-geotiepoints (1.8.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0002-Compatibility-with-numpy-2.patch, applied upstream.
    - New 0002-Fix-compatibility-with-cython-3.1.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Sep 2025 22:25:04 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|python-geotiepoints)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/python-geotiepoints-$1.$2/ \
https://github.com/pytroll/python-geotiepoints/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|python-geotiepoints)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geotiepoints 1.9.0

=== debian/changelog ===
python-geotiepoints (1.9.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop 0002-Fix-compatibility-with-cython-3.1.patch, Cython 3.1 in unstable.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Project re-licensed to Apache-2.0.
    - Update copyright dates.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Feb 2026 20:44:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Priority: optional
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -23,7 +21,7 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geotiepoints
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geotiepoints.git
 Homepage: https://github.com/pytroll/python-geotiepoints
